Bug 12361 - Create a new game: "+" Button instead "new" button
: Create a new game: "+" Button instead "new" button
Status: CLOSED FIXED
Product: Miniature
UI
: master
: other other
: High enhancement (vote)
: 0.4
Assigned To: Quim Gil
: general
:
: easyfix
:
:
  Show dependency tree
 
Reported: 2011-08-31 00:13 UTC by Uwe Kaminski
Modified: 2011-09-18 07:56 UTC (History)
2 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Uwe Kaminski (reporter) 2011-08-31 00:13:37 UTC
EXACT STEPS LEADING TO PROBLEM: 
1. Run Miniature
2. Tap onto the "Join as guest" button
3. Look for a possibility to create a new game

EXPECTED OUTCOME:
There should be a "+" button on bottom of the screen which allows to create a
new game. The "+" is also used in other Harmattan apps to create a new item.
One example is the mail client: "+" = create a new mail

ACTUAL OUTCOME: 
There is a "new" Button which is not bad too but a "+" would fit better into
the Harmattan world.
Comment 1 Quim Gil 2011-08-31 01:52:10 UTC
I agree. I was reluctant to place a '+' when they were used in the list items
but now that we got rid of them to put spinners they make total sense.

Your patch is welcome :)
Comment 2 Quim Gil 2011-09-01 17:58:23 UTC
Uwe, are you planning to provide a patch for this? Otherwise no worries, I can
do it. Just let me know.
Comment 3 Uwe Kaminski (reporter) 2011-09-01 20:38:09 UTC
OK! :)

I'm not on this yet so feel free to do it. I'll check the rest of the bugs for
things I can do.
Comment 4 Quim Gil 2011-09-02 23:13:22 UTC
Fixed in master:
http://gitorious.org/miniature/miniature/commit/2daaf20702bee29b717b6914df53feb62c8228ec

Please check and verify.
Comment 5 Uwe Kaminski (reporter) 2011-09-04 16:36:45 UTC
Works fine